Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.maven.spi
Class JcrMavenUrlProvider.MavenOutputStream

    java.lang.Object
      java.io.OutputStream
          org.modeshape.maven.spi.JcrMavenUrlProvider.MavenOutputStream

All Implemented Interfaces:
  Closeable, Flushable

Enclosing class:
  JcrMavenUrlProvider

    protected class JcrMavenUrlProvider.MavenOutputStream

extends OutputStream

Constructor Summary
`protected` | `JcrMavenUrlProvider.MavenOutputStream(MavenUrl mavenUrl, File file)`

Method Summary
`void` | `close()`
`void` | `write(byte[] b)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int b)`

Methods inherited from class java.io.OutputStream
`flush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JcrMavenUrlProvider.MavenOutputStream

    protected JcrMavenUrlProvider.MavenOutputStream(MavenUrl mavenUrl,
                                                    File file)
                                             throws FileNotFoundException

Throws:
  `FileNotFoundException`

Method Detail

### write

    public void write(int b)
               throws IOException

  Specified by:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] b)
               throws IOException

  Overrides:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `OutputStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.